cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shaz...@apache.org
Subject cordova-plugin-wkwebview-engine git commit: Updated README with new requirements
Date Fri, 23 Oct 2015 10:15:56 GMT
Repository: cordova-plugin-wkwebview-engine
Updated Branches:
  refs/heads/master 9a22dc7f6 -> f30ff1cc9


Updated README with new requirements


Project: http://git-wip-us.apache.org/repos/asf/cordova-plugin-wkwebview-engine/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-plugin-wkwebview-engine/commit/f30ff1cc
Tree: http://git-wip-us.apache.org/repos/asf/cordova-plugin-wkwebview-engine/tree/f30ff1cc
Diff: http://git-wip-us.apache.org/repos/asf/cordova-plugin-wkwebview-engine/diff/f30ff1cc

Branch: refs/heads/master
Commit: f30ff1cc960c40872602218f8b2f5e7558d8de18
Parents: 9a22dc7
Author: Shazron Abdullah <shazron@apache.org>
Authored: Fri Oct 23 03:15:46 2015 -0700
Committer: Shazron Abdullah <shazron@apache.org>
Committed: Fri Oct 23 03:15:46 2015 -0700

----------------------------------------------------------------------
 README.md | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-plugin-wkwebview-engine/blob/f30ff1cc/README.md
----------------------------------------------------------------------
diff --git a/README.md b/README.md
index a12ee2f..2704851 100644
--- a/README.md
+++ b/README.md
@@ -10,24 +10,30 @@ Installation
 
 This plugin needs to use the master branch of `cordova-ios` which is the next release of
cordova-ios (4.0.0).
 
-To `alpha test` this:
+To test this:
 
     cordova create wkwvtest my.project.id wkwvtest
     cd wkwvtest
     cordova platform add https://github.com/apache/cordova-ios.git#master
     cordova plugin add https://github.com/apache/cordova-plugin-wkwebview-engine.git#master
-    
-You also must have Xcode 7 and the iOS 9 SDK installed. If you have this and are still getting
this error:
 
-`Plugin doesn't support this project's apple-ios version. apple-ios: 8.4.0, failed version
requirement: >=9.0`
+Currently, you will have to add the `master` version (>=1.1.1) of the cordova-plugin-whitelist,
not the one in npm. So do this also:
 
-You may need to switch to your Xcode Beta installation, using this command:
+    cordova plugin rm cordova-plugin-whitelist
+	cordova plugin add https://github.com/apache/cordova-plugin-whitelist.git#master
 
-`sudo xcode-select -s /Applications/Xcode-beta.app/Contents/Developer`
+   
+You also must have Xcode 7 (iOS 9 SDK) installed. Check which Xcode command-line tools is
in use by running:
 
-To switch back:
+    xcode-select --print-path
 
-`sudo xcode-select -s /Applications/Xcode.app/Contents/Developer`
+
+Notes
+------
+
+On an iOS 8 system, Apache Cordova during runtime will switch to using the UIWebView engine
instead of using this plugin. If you want to use WKWebView on both iOS 8 and iOS 9 platforms,
you will have to resort to using a local webserver.
+
+We have an [experimental plugin](https://github.com/apache/cordova-plugins/tree/master/wkwebview-engine-localhost)
that does this. You would use that plugin instead of this one.
 
 Permissions
 -----------


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cordova.apache.org
For additional commands, e-mail: commits-help@cordova.apache.org


Mime
View raw message